function [xis] = steffensen( x0, n, phi )

xi = x0;
xis = [];

xis = [xis; x0];
y0 = x0; 
for i=1:n
    y1 = phi( y0 );
    y2 = phi( y1 );
    
    xi = y0 - ((y1-y0)^2)/(y2-2*y1+y0);
    xis = [xis; xi];
    y0 = xi;
end
end